---
updatedAt: 2026-04-08T10:21:55.000Z
agentTools:
  projectIndex: https://developer.goacoustic.com/acoustic-content/llms.txt
---

# Aggregated type information by ID

Aggregated type information by ID<br />User roles: admin, manager, editor, viewer, authenticatedVisitor, anonymous

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.142",
    "x-ibm-name": "ibm-watson-content-hub-api",
    "title": "Acoustic Content API",
    "description": "Copyright © Acoustic, L.P. 2019"
  },
  "tags": [
    {
      "name": "Delivery render",
      "description": "The Content Delivery rendering REST API provides information to render content and pages in client-side applications.\n\n**Client-side programming support**\n\nIf you want to create a client-side application with Angular 4, you can use the [Acoustic Angular SDK for Content](https://www.npmjs.com/package/@acoustic-content-sdk/ng-api). With the Angular SDK, you can retrieve and render content and pages from Content without any need to interact with the REST API directly.\n\n**Conditional GET requests**\n\nThe API supports ETag and Last-modified [conditional GET requests](https://developer.mozilla.org/en-US/docs/Web/HTTP/Conditional_requests). It is highly recommended to use conditional GET requests with ETags to decrease the communication data between client and API. The API provides ETag and Last-modified header response information if available. The client can send conditional GET requests with ETag and Last-modified information to validate local client data. The API responds with a `304 - Not modified response` with empty content if the condition is still valid.\n\n**JSONP support**\n\nThe API has [JSONP support](https://www.w3schools.com/js/js_json_jsonp.asp). The client can activate the JSONP support by providing the JSONP callback name query parameter.\n\n**Preview support**\n\nThe API supports the previewing of content information as described [here](https://developer.goacoustic.com/acoustic-content/docs/preview-content).\n\n\n**Usage**\n\nIn order to render content and the page structure in client-side applications you must to consider the following aspects&#58;\n\n* Identify the addressed page that correlates to the application routing state.\n* Identify the addressed content and layout information and render the content.\n\nWith the following steps you can achieve these aspects&#58;\n\n1. Retrieve the site and page information by using the \"Delivery Site By ID\" API route. The response contains information to identify the page that correlates to the navigational state (route) of the application.\n2. The page information has the property \"contentId\" that references the content of the page. Use that property to get the content ID.\n3. Use the content ID in combination with the \"Delivery Rendering Context By ID\" API route to retrieve the rendering context information of the content item. The rendering context contains the layout information of the content item and content references, including the resolved rendering context of the referenced items.\n4. Based on the provided layout information, identify the related the layout component of your application and render the content item by using the layout component. If required the layout can render nested layouts.\n"
    }
  ],
  "paths": {
    "/delivery/v1/rendering/type/{id}": {
      "get": {
        "summary": "Aggregated type information by ID",
        "description": "Aggregated type information by ID<br />User roles: admin, manager, editor, viewer, authenticatedVisitor, anonymous",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "Provide the ID of the resource. Note that IDs are always the IDs of published item, even if a draft exists with a different ID. For a site, use `@current` to indicate that the ID of the site is derived from the addressed URL via custom domain site mapping or URL path based site addressing. For further details consult the Content documentation.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "callback",
            "description": "Provide the JSONP callback name for JSONP support. The callback name must designate a javascript function that can be executed in the global scope. The argument will be the deserialized JSON object.",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved the delivery type information.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "items": {
                    "title": "RenderingContext",
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "description": "The ID of the content item."
                      },
                      "rev": {
                        "type": "string",
                        "description": "The current revision of the document."
                      },
                      "name": {
                        "type": "string",
                        "description": "The name of the content item."
                      },
                      "classification": {
                        "type": "string",
                        "description": "The classification defines the document type. For content items, all documents are classified as \"content\"."
                      },
                      "typeId": {
                        "type": "string",
                        "description": "The ID of the content type this item belongs to."
                      },
                      "locale": {
                        "type": "string",
                        "description": "The locale of the document (e.g \"en\", or \"de\")."
                      },
                      "lastModified": {
                        "type": "string",
                        "format": "date-time",
                        "description": "The last modified date of this content item in ISO 8601 with the format YYYY-MM-DDTHH:mm:ss.sssZ."
                      },
                      "lastModifierId": {
                        "type": "string",
                        "description": "The name of user for now, this property may change once user management is defined (read only)."
                      },
                      "created": {
                        "type": "string",
                        "format": "date-time",
                        "description": "The created date of this content item in ISO 8601 with the format YYYY-MM-DDTHH:mm:ss.sssZ."
                      },
                      "creatorId": {
                        "type": "string",
                        "description": "The ID of the creator"
                      },
                      "layouts": {
                        "description": "The layouts of the content item",
                        "type": "object"
                      },
                      "tags": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "uniqueItems": true,
                        "description": "The tags describing the content item."
                      },
                      "elements": {
                        "type": "object",
                        "description": "Defined by the type and captured in the schema given by the type, in a real content, this property will be filled with more information."
                      },
                      "description": {
                        "type": "string",
                        "description": "The description of the content item."
                      },
                      "type": {
                        "type": "string",
                        "description": "The link to the content type document this content is based on."
                      }
                    }
                  }
                }
              }
            }
          },
          "304": {
            "description": "Not modified"
          },
          "404": {
            "description": "The delivery type for the specified ID was not found.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "This JSON object describes an error condition.",
                  "properties": {
                    "requestId": {
                      "type": "string",
                      "description": "The unique identifier of the request that failed."
                    },
                    "service": {
                      "type": "string",
                      "description": "The name of the service that reports the error."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "description": "This JSON object describes a specific error of an error condition.",
                        "properties": {
                          "code": {
                            "type": "integer",
                            "description": "An error code that is specific to the service that reports the error."
                          },
                          "message": {
                            "type": "string",
                            "description": "A message that describes what went wrong."
                          },
                          "description": {
                            "type": "string",
                            "description": "A more detailed explanation of the error condition and recommended steps to resolve the issue."
                          },
                          "more_info": {
                            "type": "string",
                            "description": "A URL pointing to a source that provides more information on this error."
                          },
                          "level": {
                            "type": "string",
                            "enum": [
                              "ERROR",
                              "WARNING"
                            ],
                            "description": "The severity of this error."
                          },
                          "parameters": {
                            "type": "object",
                            "description": "Additional properties that represent dynamic parts used in the 'message'."
                          },
                          "cause": {
                            "type": "object",
                            "description": "The error message that was produced by a downstream service and represents the cause of this error."
                          },
                          "locale": {
                            "type": "string",
                            "description": "The locale information of the text provided as 'message' and as 'description' of this error."
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "requestId",
                    "errors"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests, the server has reached a limit, the request must be sent again at a later time.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "This JSON object describes an error condition.",
                  "properties": {
                    "requestId": {
                      "type": "string",
                      "description": "The unique identifier of the request that failed."
                    },
                    "service": {
                      "type": "string",
                      "description": "The name of the service that reports the error."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "description": "This JSON object describes a specific error of an error condition.",
                        "properties": {
                          "code": {
                            "type": "integer",
                            "description": "An error code that is specific to the service that reports the error."
                          },
                          "message": {
                            "type": "string",
                            "description": "A message that describes what went wrong."
                          },
                          "description": {
                            "type": "string",
                            "description": "A more detailed explanation of the error condition and recommended steps to resolve the issue."
                          },
                          "more_info": {
                            "type": "string",
                            "description": "A URL pointing to a source that provides more information on this error."
                          },
                          "level": {
                            "type": "string",
                            "enum": [
                              "ERROR",
                              "WARNING"
                            ],
                            "description": "The severity of this error."
                          },
                          "parameters": {
                            "type": "object",
                            "description": "Additional properties that represent dynamic parts used in the 'message'."
                          },
                          "cause": {
                            "type": "object",
                            "description": "The error message that was produced by a downstream service and represents the cause of this error."
                          },
                          "locale": {
                            "type": "string",
                            "description": "The locale information of the text provided as 'message' and as 'description' of this error."
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "requestId",
                    "errors"
                  ]
                }
              }
            }
          }
        },
        "x-ibm-dx-security-user-roles": [
          "admin",
          "manager",
          "editor",
          "viewer",
          "authenticatedVisitor",
          "anonymous"
        ],
        "x-ibm-dx-vary": [],
        "tags": [
          "Delivery render"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "description": "This JSON record represents an error condition.",
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "description": "This JSON record represents an individual error or warning contained in an error message.",
              "type": "object",
              "properties": {
                "code": {
                  "type": "integer",
                  "description": "An error code"
                },
                "message": {
                  "type": "string",
                  "description": "A message describing what went wrong."
                },
                "description": {
                  "type": "string",
                  "description": "Further explanation of the error condition and potential next steps to resolve the problem."
                },
                "more_info": {
                  "type": "string",
                  "description": "A URL pointing to a web site that provides more information on the given error condition."
                },
                "level": {
                  "type": "string",
                  "enum": [
                    "ERROR",
                    "WARNING"
                  ],
                  "description": "The severity level of the message. Default is error."
                },
                "parameters": {
                  "type": "object",
                  "description": "Additional properties reflecting the dynamic parts of the error condition."
                },
                "cause": {
                  "type": "object",
                  "description": "This property can be used to transport causing error message records produced by a down stream service calls."
                },
                "locale": {
                  "type": "string",
                  "description": "This property represents the locale of the text contained in properties 'message', and 'description'. This property is mandatory if message and description contain translated text."
                }
              },
              "required": [
                "code",
                "message"
              ]
            }
          },
          "requestId": {
            "type": "string",
            "description": "The ID of the failing request."
          },
          "service": {
            "type": "string",
            "description": "The name of the service serving the error message."
          }
        },
        "required": [
          "errors",
          "requestId"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```